aboutsummaryrefslogtreecommitdiffstats
path: root/main/openssl/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2014-08-07 08:35:12 +0300
committerTimo Teräs <timo.teras@iki.fi>2014-08-07 08:35:12 +0300
commit7c34cd9c948a7bd20f05a136eaa9bec33c479849 (patch)
tree15a154a04adadb18e82c245273ec9088f103b71c /main/openssl/APKBUILD
parentd4f5d980c75fd5b13a60637aafa549f1407a85c8 (diff)
downloadaports-7c34cd9c948a7bd20f05a136eaa9bec33c479849.tar.bz2
aports-7c34cd9c948a7bd20f05a136eaa9bec33c479849.tar.xz
main/openssl: fix man-pages properly
Failed to rebase the manpages patch properly. This removes the hunks that delete pages. Instead have the package script rename the affected man pages, and update the patch only to change the cross references of the conflicting man pages.
Diffstat (limited to 'main/openssl/APKBUILD')
-rw-r--r--main/openssl/APKBUILD18
1 files changed, 11 insertions, 7 deletions
diff --git a/main/openssl/APKBUILD b/main/openssl/APKBUILD
index 37d85e9ac9..87da75d524 100644
--- a/main/openssl/APKBUILD
+++ b/main/openssl/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Timo Teras <timo.teras@iki.fi>
pkgname=openssl
pkgver=1.0.1i
-pkgrel=1
+pkgrel=2
pkgdesc="Toolkit for SSL v2/v3 and TLS v1"
url="http://openssl.org"
depends=
@@ -98,9 +98,13 @@ package() {
cd "$_builddir"
make INSTALL_PREFIX="$pkgdir" MANDIR=/usr/share/man install || return 1
- # remove man pages that conflict with man-pages
- rm "$pkgdir"/usr/share/man/man3/rand.3 \
- "$pkgdir"/usr/share/man/man3/err.3
+ # rename man pages that conflict with man-pages
+ local m
+ for m in rand.3 err.3 threads.3 passwd.1; do
+ mv "$pkgdir"/usr/share/man/man${m/*.}/$m \
+ "$pkgdir"/usr/share/man/man${m/*.}/openssl-$m \
+ || return 1
+ done
}
libcrypto() {
@@ -125,7 +129,7 @@ libssl() {
}
md5sums="c8dc151a671b9b92ff3e4c118b174972 openssl-1.0.1i.tar.gz
-c5896bc17b3e95ba6329a3d6c2a6fd84 fix-manpages.patch
+f75151bfdd0e1f5191e0d0e7147e1638 fix-manpages.patch
c6a9857a5dbd30cead0404aa7dd73977 openssl-bb-basename.patch
ddb5fc155145d5b852425adaec32234d 0001-crypto-hmac-support-EVP_MD_CTX_FLAG_ONESHOT-and-set-.patch
4a7b9e20beb33a5e262ab64c2b8e5b48 0002-engines-e_padlock-backport-cvs-head-changes.patch
@@ -139,7 +143,7 @@ efec1bce615256961b1756e575ee1d0a fix-default-apps-capath.patch
60ca340e32944e4825747e3681ccd553 openssl-1.0.1-parallel-build.patch
b7f2421187ae2b4c7e424cda2022d41d abi-compat-no-freelists.patch"
sha256sums="3c179f46ca77069a6a0bac70212a9b3b838b2f66129cb52d568837fc79d8fcc7 openssl-1.0.1i.tar.gz
-99595db76e85785e265b69778e84f75f29a4e29945fb051f12fbb7c84667f453 fix-manpages.patch
+92296c9e121af10ecc1e302695bf2ceacaa9b00702e580504fc0ed04a9fba86e fix-manpages.patch
82863c2fed659a7186c7f3905a1853b8bd8060350ad101ce159fa7e7d2ba27e8 openssl-bb-basename.patch
18dd81fefb39b3328a444774ed10871ed50348ca171d2da9f826f916127b2dae 0001-crypto-hmac-support-EVP_MD_CTX_FLAG_ONESHOT-and-set-.patch
39c31c2e33cded09543a2d1fd2e3238e9d11c672ba71a14d13095baad3ec9696 0002-engines-e_padlock-backport-cvs-head-changes.patch
@@ -153,7 +157,7 @@ cbb2493ec9157e78035e9cc02be17655996ee9cd0a71b79507fc19f3862f452b 0003-engines-e
bd56e5fe1b6fe594ab93f34d25fef0b7372633bad8532f81da998f3e6655d221 openssl-1.0.1-parallel-build.patch
41c7c1e5bea7f7e0ccc59203a48f097948627d72fcf87f943fcfe8c14b4069a2 abi-compat-no-freelists.patch"
sha512sums="6cbcdcec8568236e8f20f0461f93df8a193a0ad88102ff548443e6ec87e2a7f649e314beee1e6bafda693934b4fb142244b61d14bf736828dda09e277b941d93 openssl-1.0.1i.tar.gz
-6d7770a63e721295d048641492e13fb09d292de1e9acd5e61ea0dd897e041d1627c7a7733ed2e5be86e26f0e8894edc123227808306b97cb6a2c6f5e941c9c33 fix-manpages.patch
+b0eda7e9b53195b0855da68617201c3c7026eb7464ab58f0bc9923013663ec6b826d1868fe88b87118d3134114cbd9ac15d2c8389c85ef9c1bb4d18575b68a5b fix-manpages.patch
6c4f4b0c1b606b3e5a8175618c4398923392f9c25ad8d3f5b65b0424fe51e104c4f456d2da590d9f572382225ab320278e88db1585790092450cad60a02819a5 openssl-bb-basename.patch
ea282b09d4692a29e5a554e19b0798fa921717d4892decc68cba92cad11e85e4064d8ac78d98f6fa8bb45c65fdd1a5d1a6f6755e53102d520e9d8b807c3a7822 0001-crypto-hmac-support-EVP_MD_CTX_FLAG_ONESHOT-and-set-.patch
96cdd28d1ad5efd3f5836b4c57c9c6ea8e790fbf919e32a8c4acd3883a3531b8d295053a4aa20e6165600153b141ce7b0a3d1d736fdfc325d59862b845aa4d98 0002-engines-e_padlock-backport-cvs-head-changes.patch